org.codehaus.groovy.testng

## Class TestNgRunner

- java.lang.Object
- - org.apache.groovy.plugin.testng.TestNgRunner
  - - org.codehaus.groovy.testng.TestNgRunner

- All Implemented Interfaces:
    GroovyRunner

  Deprecated.
  use `TestNgRunner`

      @Deprecated
      public class TestNgRunner
      extends TestNgRunner
      implements GroovyRunner

  Integration code for running TestNG tests in Groovy.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestNgRunner()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.groovy.plugin.testng.TestNgRunner

      `canRun, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.groovy.plugin.GroovyRunner

      `canRun, run`

- - ### Constructor Detail

    - #### TestNgRunner

          public TestNgRunner()

      Deprecated.